在给定圆弧的中心、半径、起始角度和结束角度的情况下创建圆弧。 支持的平台:仅窗口 签名工 务 局: RetVal = object.AddArc(Center, Radius, StartAngle, EndAngle) 言论没有额外的评论。 例子工 务 局: Sub Example_AddArc() ' This example creates an arc in model space. Dim arcObj As AcadArc Dim centerPoint(0 To 2) As Double Dim radius As Double Dim startAngleInDegree As Double Dim endAngleInDegree As Double ' Define the circle centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0# radius = 5# startAngleInDegree = 10# endAngleInDegree = 230# ' Convert the angles in degrees to angles in radians Dim startAngleInRadian As Double Dim endAngleInRadian As Double startAngleInRadian = startAngleInDegree * 3.141592 / 180# endAngleInRadian = endAngleInDegree * 3.141592 / 180# ' Create the arc object in model space Set arcObj = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngleInRadian, endAngleInRadian) ZoomAll End Sub Visual LISP: (vl-load-com) (defun c:Example_AddArc() ;; This example creates an arc in model space. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the arc (setq centerPoint (vlax-3d-point 0 0 0) radius 5 startAngleInDegree 10 endAngleInDegree 230) ;; Convert the angles in degrees to angles in radians (setq startAngleInRadian (/ (* startAngleInDegree 3.141592) 180)) (setq endAngleInRadian (/ (* endAngleInDegree 3.141592) 180)) ;; Create the arc object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq arcObj (vla-AddArc modelSpace centerPoint radius startAngleInRadian endAngleInRadian)) (vla-ZoomAll acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:45
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.